org.apache.fop.pdf

## Class PDFStructTreeRoot

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDictionary
    - - org.apache.fop.pdf.StructureHierarchyMember
      - - org.apache.fop.pdf.PDFStructTreeRoot

All Implemented Interfaces:
  PDFWritable

    public class PDFStructTreeRoot
    extends StructureHierarchyMember

Class representing a PDF /StructTreeRoot dictionary.

### Field Summary

### Fields inherited from class org.apache.fop.pdf.PDFDictionary

`entries, order`

### Fields inherited from class org.apache.fop.pdf.PDFObject

`log`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addKid(PDFObject kid)` Adds the given object to the array of kids.
`PDFArray` `getKids()` Returns the children element of this StructTreeRoot.

### Methods inherited from class org.apache.fop.pdf.PDFDictionary

`containsKey, get, getChildren, getChildren, keySet, output, put, put, remove, writeDictionary`

### Methods inherited from class org.apache.fop.pdf.PDFObject

`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, toPDF, toPDFString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getKids

    public PDFArray getKids()

Returns the children element of this StructTreeRoot.

Returns:
  the value of the K entry

#### addKid

    public void addKid(PDFObject kid)

Adds the given object to the array of kids.

Specified by:
  `addKid` in class `StructureHierarchyMember`
Parameters:
  `kid` - an object to be added to the K entry